Bug 236664 - Cannot compile apr applications, apr-i386.h contains x86_64'ishs typedef
Cannot compile apr applications, apr-i386.h contains x86_64'ishs typedef
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: apr (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Joe Orton
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-04-16 21:36 EDT by Chmouel Boudjnah
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-04-17 04:19:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Type fixes on 32 (397 bytes, patch)
2007-04-16 21:36 EDT, Chmouel Boudjnah
no flags Details | Diff

  None (edit)
Description Chmouel Boudjnah 2007-04-16 21:36:59 EDT
Description of problem:

Cannot compile apr applications, apr-i386 contains x86_64'ishs

Version-Release number of selected component (if applicable):

apr-devel-1.2.7-11

How reproducible:

compile PHP or anitything that require apr.h

Will just going to attach patch which should explain everything
Comment 1 Chmouel Boudjnah 2007-04-16 21:36:59 EDT
Created attachment 152734 [details]
Type fixes on 32
Comment 2 Joe Orton 2007-04-17 04:19:48 EDT
Thanks for contacting us.

This is not a bug; it's an expect part of LFS support in APR.

To build applications against APR, you need to pass the output of

 `apr-1-config --cppflags --cflags --includes`

to the compiler.  This will ensure the off64_t type is defined.  Recent versions
of PHP do this automatically.

Note You need to log in before you can comment on or make changes to this bug.